gnutls_x509_dn_get_rdn_ava(3)

NAME
gnutls_x509_dn_get_rdn_ava - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_get_rdn_ava(gnutls_x509_dn_t dn, int irdn, int iava, gnutls_x509_ava_st * ava);

ARGUMENTS

gnutls_x509_dn_t dn
    input variable with opaque DN pointer

int irdn
    index of RDN

int iava
    index of AVA.

gnutls_x509_ava_st * ava
    Pointer to structure which will hold output information.

DESCRIPTION
Get pointers to data within the DN.

Note that ava will contain pointers into the dn structure, so you should not modify any data or deallocate it. Note also that the DN in turn points into the original certificate structure, and thus you may not deallocate the certificate and continue to access dn.

RETURNS
Returns 0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.